/*
 * *
 *  * Copyright (c) 2025 R3944Realms. All rights reserved.
 *  *
 *  * This work is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
 *  * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-sa/4.0/
 *  * or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
 *  *
 *  * 本作品采用知识共享署名-非商业性使用-相同方式共享 4.0 国际许可协议进行许可。
 *
 */

package top.r3944realms.lib39.mixin;

import com.llamalad7.mixinextras.MixinExtrasBootstrap;
import org.objectweb.asm.tree.ClassNode;
import org.spongepowered.asm.mixin.extensibility.IMixinConfigPlugin;
import org.spongepowered.asm.mixin.extensibility.IMixinInfo;

import java.util.List;
import java.util.Set;

/**
 * The type Lib 39 mixin plugin.
 */
public class Lib39MixinPlugin implements IMixinConfigPlugin {
    public void onLoad(String mixinPackage) {
        MixinExtrasBootstrap.init();
    }

    @Override
    public String getRefMapperConfig() {
        return null;
    }

    @Override
    public boolean shouldApplyMixin(String targetClassName, String mixinClassName) {
        return true;
    }

    @Override
    public void acceptTargets(Set<String> myTargets, Set<String> otherTargets) {
    }

    @Override
    public List<String> getMixins() {
        return null;
    }

    @Override
    public void preApply(String targetClassName, ClassNode targetClass, String mixinClassName, IMixinInfo mixinInfo) {
    }

    @Override
    public void postApply(String targetClassName, ClassNode targetClass, String mixinClassName, IMixinInfo mixinInfo) {
    }
}
